Subject: bug#72515: 29.4; describe-package-1: Wrong type argument: char-or-string-p

From: Visuwesh <[email-masked]>
Date: Thu, 08 Aug 2024 13:40:26 +0530

[வியாழன் ஆகஸ்ட் 08, 2024] Eli Zaretskii wrote:

>> From: Suhail Singh <[email-masked]>
>> Date: Wed, 07 Aug 2024 15:23:11 -0400
>> 
>> Viewing the package description for a package that has two maintainers
>> fails with the following error:
>> 
>> describe-package-1: Wrong type argument: char-or-string-p
>> 
>> This can be observed with emacs -Q.  Steps to reproduce.
>> - M-x list-packages
>> - Navigate to csharp-mode from GNU ELPA
>> - Press RET to view the package description
>> - Observe error
>
> Thanks.  I can reproduce this in Emacs 29, but not on the current
> emacs-30 release branch, which will eventually become Emacs 30.1.  So
> I guess we fixed this bug already during development of Emacs 30.

This is the same as bug#68288 and bug#72250 if I'm not wrong.